        subroutine TRANSP(INTOUL,K)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
        real INTOUL(KOUNT), PLANKT
        integer I, J, K
      do 110 J = 1, KOUNT
         CONLDL(J,K) = 0.0D+00
         CONLDL(J,K) = 1.E6*TOTLDL(J,K)/WATVOL(J)
         PLANKT = 0.0
         if (SEDOUL(J).gt.0.0) PLANKT = 1.0
         EXPOKL(J,K) = WATOUL(J)*ALPHA(29,J,K)+SEDOUL(J)*ALPHA(30,J,K)/
     &      SEDCOL(J)+WATOUL(J)*ALPHA(31,J,K)+WATOUL(J)*ALPHA(32,J,K)*
     &      PLANKT
         INTOUL(J) = 0.0
         do 100 I = 1, KOUNT
            PLANKT = 0.0
            if (SEDFL(I,J,K).gt.0.0) PLANKT = 1.0
            INTOUL(J) = INTOUL(J)+WATFL(I,J)*ALPHA(29,J,K)+SEDFL(I,J,K)*
     &         ALPHA(30,J,K)/SEDCOL(J)+WATFL(I,J)*ALPHA(31,J,K)+WATFL(I,
     &         J)*ALPHA(32,J,K)*PLANKT
100      continue
110   continue
      do 130 J = 1, KOUNT
         do 120 I = 1, KOUNT
            INTINL(I,J,K) = 0.00D+00
            PLANKT = 0.0
            if (SEDFL(J,I,K).gt.0.0) PLANKT = 1.0
            INTINL(I,J,K) = (WATFL(J,I)*ALPHA(29,I,K)+SEDFL(J,I,K)*ALPHA
     &         (30,I,K)/SEDCOL(I)+WATFL(J,I)*ALPHA(31,I,K)+WATFL(J,I)*
     &         ALPHA(32,I,K)*PLANKT)/WATVOL(J)
120      continue
130   continue
      return
      end
